package com.mortals.xhx.module.perform.model;

import java.util.List;
import com.mortals.xhx.module.perform.model.PerformPerposeStaffEntity;
/**
* 员工考核目标详细信息查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class PerformPerposeStaffQuery extends PerformPerposeStaffEntity {
    /** 开始 序号，主键，自增长 */
    private Long IdStart;

    /** 结束 序号，主键，自增长 */
    private Long IdEnd;

    /** 增加 序号，主键，自增长 */
    private Long IdIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> IdList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> IdNotList;

    /** 开始 考核目标id */
    private Long purposeConfIdStart;

    /** 结束 考核目标id */
    private Long purposeConfIdEnd;

    /** 增加 考核目标id */
    private Long purposeConfIdIncrement;

    /** 考核目标id列表 */
    private List <Long> purposeConfIdList;

    /** 考核目标id排除列表 */
    private List <Long> purposeConfIdNotList;

    /** 开始 员工id */
    private Long staffIdStart;

    /** 结束 员工id */
    private Long staffIdEnd;

    /** 增加 员工id */
    private Long staffIdIncrement;

    /** 员工id列表 */
    private List <Long> staffIdList;

    /** 员工id排除列表 */
    private List <Long> staffIdNotList;

    /** 员工名称 */
    private List<String> staffNameList;

    /** 员工名称排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> numberList;

    /** 工号排除列表 */
    private List <String> numberNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformPerposeStaffQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformPerposeStaffQuery> andConditionList;

    public PerformPerposeStaffQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return IdStart
    */
    public Long getIdStart(){
        return this.IdStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public void setIdStart(Long IdStart){
        this.IdStart = IdStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $IdEnd
    */
    public Long getIdEnd(){
        return this.IdEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public void setIdEnd(Long IdEnd){
        this.IdEnd = IdEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return IdIncrement
    */
    public Long getIdIncrement(){
        return this.IdIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public void setIdIncrement(Long IdIncrement){
        this.IdIncrement = IdIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdList
    */
    public List<Long> getIdList(){
        return this.IdList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public void setIdList(List<Long> IdList){
        this.IdList = IdList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return IdNotList
    */
    public List<Long> getIdNotList(){
        return this.IdNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdNotList
    */
    public void setIdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
    }


    /**
    * 获取 开始 考核目标id
    * @return purposeConfIdStart
    */
    public Long getPurposeConfIdStart(){
        return this.purposeConfIdStart;
    }

    /**
    * 设置 开始 考核目标id
    * @param purposeConfIdStart
    */
    public void setPurposeConfIdStart(Long purposeConfIdStart){
        this.purposeConfIdStart = purposeConfIdStart;
    }

    /**
    * 获取 结束 考核目标id
    * @return $purposeConfIdEnd
    */
    public Long getPurposeConfIdEnd(){
        return this.purposeConfIdEnd;
    }

    /**
    * 设置 结束 考核目标id
    * @param purposeConfIdEnd
    */
    public void setPurposeConfIdEnd(Long purposeConfIdEnd){
        this.purposeConfIdEnd = purposeConfIdEnd;
    }

    /**
    * 获取 增加 考核目标id
    * @return purposeConfIdIncrement
    */
    public Long getPurposeConfIdIncrement(){
        return this.purposeConfIdIncrement;
    }

    /**
    * 设置 增加 考核目标id
    * @param purposeConfIdIncrement
    */
    public void setPurposeConfIdIncrement(Long purposeConfIdIncrement){
        this.purposeConfIdIncrement = purposeConfIdIncrement;
    }

    /**
    * 获取 考核目标id
    * @return purposeConfIdList
    */
    public List<Long> getPurposeConfIdList(){
        return this.purposeConfIdList;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdList
    */
    public void setPurposeConfIdList(List<Long> purposeConfIdList){
        this.purposeConfIdList = purposeConfIdList;
    }

    /**
    * 获取 考核目标id
    * @return purposeConfIdNotList
    */
    public List<Long> getPurposeConfIdNotList(){
        return this.purposeConfIdNotList;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdNotList
    */
    public void setPurposeConfIdNotList(List<Long> purposeConfIdNotList){
        this.purposeConfIdNotList = purposeConfIdNotList;
    }


    /**
    * 获取 开始 员工id
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工id
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工id
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工id
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工id
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工id
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工id
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工id
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工id
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工id
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工名称
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工名称
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工名称
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工名称
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return numberList
    */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 工号
    * @param numberList
    */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }

    /**
    * 获取 工号
    * @return numberNotList
    */
    public List<String> getNumberNotList(){
        return this.numberNotList;
    }

    /**
    * 设置 工号
    * @param numberNotList
    */
    public void setNumberNotList(List<String> numberNotList){
        this.numberNotList = numberNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param Id
    */
    public PerformPerposeStaffQuery Id(Long Id){
	    setId(Id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param IdStart
    */
    public PerformPerposeStaffQuery IdStart(Long IdStart){
		this.IdStart = IdStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param IdEnd
    */
    public PerformPerposeStaffQuery IdEnd(Long IdEnd){
		this.IdEnd = IdEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param IdIncrement
    */
    public PerformPerposeStaffQuery IdIncrement(Long IdIncrement){
		this.IdIncrement = IdIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param IdList
    */
    public PerformPerposeStaffQuery IdList(List<Long> IdList){
        this.IdList = IdList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param IdNotList
        */
        public PerformPerposeStaffQuery IdNotList(List<Long> IdNotList){
        this.IdNotList = IdNotList;
        return this;
        }

    /**
    * 设置  考核目标id
    * @param purposeConfId
    */
    public PerformPerposeStaffQuery purposeConfId(Long purposeConfId){
	    setPurposeConfId(purposeConfId);
		return this;
    }
	
	 /**
    * 设置 开始 考核目标id
    * @param purposeConfIdStart
    */
    public PerformPerposeStaffQuery purposeConfIdStart(Long purposeConfIdStart){
		this.purposeConfIdStart = purposeConfIdStart;
		return this;
    }

    /**
    * 设置 结束 考核目标id
    * @param purposeConfIdEnd
    */
    public PerformPerposeStaffQuery purposeConfIdEnd(Long purposeConfIdEnd){
		this.purposeConfIdEnd = purposeConfIdEnd;
		return this;
    }

    /**
    * 设置 增加 考核目标id
    * @param purposeConfIdIncrement
    */
    public PerformPerposeStaffQuery purposeConfIdIncrement(Long purposeConfIdIncrement){
		this.purposeConfIdIncrement = purposeConfIdIncrement;
		return this;
    }

    /**
    * 设置 考核目标id
    * @param purposeConfIdList
    */
    public PerformPerposeStaffQuery purposeConfIdList(List<Long> purposeConfIdList){
        this.purposeConfIdList = purposeConfIdList;
		return this;
        }

        /**
        * 设置 考核目标id
        * @param purposeConfIdNotList
        */
        public PerformPerposeStaffQuery purposeConfIdNotList(List<Long> purposeConfIdNotList){
        this.purposeConfIdNotList = purposeConfIdNotList;
        return this;
        }

    /**
    * 设置  员工id
    * @param staffId
    */
    public PerformPerposeStaffQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工id
    * @param staffIdStart
    */
    public PerformPerposeStaffQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工id
    * @param staffIdEnd
    */
    public PerformPerposeStaffQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工id
    * @param staffIdIncrement
    */
    public PerformPerposeStaffQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工id
    * @param staffIdList
    */
    public PerformPerposeStaffQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工id
        * @param staffIdNotList
        */
        public PerformPerposeStaffQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工名称
    * @param staffName
    */
    public PerformPerposeStaffQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工名称
    * @param staffNameList
    */
    public PerformPerposeStaffQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param number
    */
    public PerformPerposeStaffQuery number(String number){
        setNumber(number);
		return this;
    }

    /**
    * 设置 工号
    * @param numberList
    */
    public PerformPerposeStaffQuery numberList(List<String> numberList){
        this.numberList = numberList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformPerposeStaffQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformPerposeStaffQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformPerposeStaffQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformPerposeStaffQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformPerposeStaffQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformPerposeStaffQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformPerposeStaffQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformPerposeStaffQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformPerposeStaffQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformPerposeStaffQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformPerposeStaffQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformPerposeStaffQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformPerposeStaffQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformPerposeStaffQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformPerposeStaffQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformPerposeStaffQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformPerposeStaffQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformPerposeStaffQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}